{ self, pkgs, ... }:
{
  clan.core.settings.machine.description = "Emmie personal computer";

  imports = [
    self.nixosModules.common
  ];

  nixpkgs.hostPlatform = {
    system = "x86_64-linux";
  };
  system.stateVersion = "25.11";
  clan.core.sops.defaultGroups = [ "admins" ];

  boot.kernelParams = [
    "amdgpu.dcdebugmask=0x10"
    "amdgpu.cwsr_enable=0"
    "amdgpu.gpu_recovery=1"
  ];

  boot.kernelPackages = pkgs.linuxKernel.packages.linux_6_12;
}
